import React, {useEffect, useState} from 'react';
import {Navigate, useNavigate} from 'react-router-dom';
import {useSelector} from 'react-redux';
import IUser from '../interfaces/IUser';
import {useAppDispatch, useAppSelector} from '../store/hooks';
import {selectUser} from '../store/users/users.slice';

const Register = () => {
	const dispatch = useAppDispatch();
	const navigate = useNavigate();
	// const {userLoggedIn} = useSelector((state) => state.user);

	const handleRegister = async () => {
		// await dispatch(createUser(user));
	};

	const handleUserInput = (e: React.ChangeEvent<HTMLInputElement>) => {
		// setUser((prevState) => ({...prevState, [e.target.name]: e.target.value}));
	};

	const handleSubmit = async (e: React.ChangeEvent<HTMLFormElement>) => {
		e.preventDefault();
		// await dispatch(loginUser(user));
	};

	// if (userLoggedIn) {
	// 	return <Navigate to={'/'} />;
	// }

	return (
		<div className="flex flex-col items-center justify-center px-6 py-8 mx-auto md:h-screen lg:py-0">
			<div className="w-full bg-white rounded-lg shadow dark:border md:mt-0 sm:max-w-md xl:p-0 dark:bg-gray-800 dark:border-gray-700">
				<div className="p-6 space-y-4 md:space-y-6 sm:p-8">
					<h1 className="text-xl font-bold leading-tight tracking-tight text-gray-900 md:text-2xl dark:text-white">
						Create and account
					</h1>
					<form className="space-y-4 md:space-y-6" action="#">
						<div>
							<label
								htmlFor="username"
								className="block mb-2 text-sm font-medium text-gray-900 dark:text-white"
							>
								Your username
							</label>
							<input
								type="text"
								name="username"
								id="username"
								className="bg-gray-50 border border-gray-300 text-gray-900 sm:text-sm rounded-lg focus:ring-primary-600 focus:border-primary-600 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
								placeholder="username"
								required
							/>
						</div>
						<div>
							<label
								htmlFor="password"
								className="block mb-2 text-sm font-medium text-gray-900 dark:text-white"
							>
								Password
							</label>
							<input
								type="password"
								name="password"
								id="password"
								placeholder="••••••••"
								className="bg-gray-50 border border-gray-300 text-gray-900 sm:text-sm rounded-lg focus:ring-primary-600 focus:border-primary-600 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
								required
							/>
						</div>
						<div>
							<label
								htmlFor="confirm-password"
								className="block mb-2 text-sm font-medium text-gray-900 dark:text-white"
							>
								Confirm password
							</label>
							<input
								type="confirm-password"
								name="confirm-password"
								id="confirm-password"
								placeholder="••••••••"
								className="bg-gray-50 border border-gray-300 text-gray-900 sm:text-sm rounded-lg focus:ring-primary-600 focus:border-primary-600 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
								required
							/>
						</div>
						<div className="flex items-start">
							<div className="flex items-center h-5">
								<input
									id="terms"
									aria-describedby="terms"
									type="checkbox"
									className="w-4 h-4 border border-gray-300 rounded bg-gray-50 focus:ring-3 focus:ring-primary-300 dark:bg-gray-700 dark:border-gray-600 dark:focus:ring-primary-600 dark:ring-offset-gray-800"
									required
								/>
							</div>
							<div className="ml-3 text-sm">
								<label
									htmlFor="terms"
									className="font-light text-gray-500 dark:text-gray-300"
								>
									I accept the{' '}
									<a
										className="font-medium text-primary-600 hover:underline dark:text-primary-500"
										href="#"
									>
										Terms and Conditions
									</a>
								</label>
							</div>
						</div>
						<button
							type="submit"
							className="w-full text-white bg-primary-600 hover:bg-primary-700 focus:ring-4 focus:outline-none focus:ring-primary-300 font-medium rounded-lg text-sm px-5 py-2.5 text-center dark:bg-primary-600 dark:hover:bg-primary-700 dark:focus:ring-primary-800"
						>
							Create an account
						</button>
						<p className="text-sm font-light text-gray-500 dark:text-gray-400">
							Already have an account?{' '}
							<a
								href="#"
								className="font-medium text-primary-600 hover:underline dark:text-primary-500"
							>
								Login here
							</a>
						</p>
					</form>
				</div>
			</div>
		</div>
	);
};
export default Register;
